---

- hosts: lucille.srv.osci.io
  vars:
    nfs_root: /var/local/nfs
    vg: vg_Lucille
  tasks:
    - name: Install NFS tools
      package:
        name: nfs-utils
        state: present

    - name: Create NFS root directory
      file:
        path: "{{ nfs_root }}"
        state: directory
        owner: root
        group: root
        mode: 0755

    - name: Create NFS root export
      copy:
        content: "{{ nfs_root }} *(ro,fsid=root,no_subtree_check,root_squash,crossmnt,async)\n"
        dest: /etc/exports
        owner: root
        group: root
        mode: 0644
      notify: Restart NFS Service

    - include_tasks: storage_add_nfs.yml
      vars:
        host: "{{ item.host }}"
        st_name: "{{ item.st_name | default(item.host) }}"
        size: "{{ item.size }}"
      loop:
        - {host: gdb-buildbot.osci.io, size: 120G}
        - {host: jboss-lists.srv.osci.io, size: 210G, st_name: lists.jboss.org}
        - {host: beaker-project.osci.io, size: 100G}
        - {host: augur.osci.io, size: 800G}

    - name: Start NFS Service
      service:
        name: nfs
        enabled: yes
        state: started

    - name: Open firewall for NFS
      firewalld:
        service: "{{ item }}"
        state: enabled
        permanent: true
        immediate: true
      with_items:
        - nfs
        - mountd
        - rpc-bind

  handlers:
    - name: Restart NFS Service
      service:
        name: nfs
        state: restarted

